/********************************************************************************

	SYNCER 〜 知識、感動をみんなと同期(Sync)するブログ

	* 配布場所
	https://syncer.jp/google-maps-javascript-api-matome

	* 最終更新日時
	2015/08/06 15:09

	* 作者
	あらゆ

	** 連絡先
	Twitter: https://twitter.com/arayutw
	Facebook: https://www.facebook.com/arayutw
	Google+: https://plus.google.com/114918692417332410369/
	E-mail: info@syncer.jp

	※ バグ、不具合の報告、提案、ご要望など、お待ちしております。
	※ 申し訳ありませんが、ご利用者様、個々の環境における問題はサポートしていません。

********************************************************************************/


// キャンパスの要素を取得する
var canvas = document.getElementById( 'map-canvas' ) ;

// 中心の位置座標を指定する
var latlng = new google.maps.LatLng( 35.794361,139.791421 );

// 地図のオプションを設定する
var mapOptions = {
	zoom: 18 ,				// ズーム値
	center: latlng ,		// 中心座標 [latlng]
};

// [canvas]に、[mapOptions]の内容の、地図のインスタンス([map])を作成する
var map = new google.maps.Map( canvas , mapOptions ) ;

// 円のインスタンスを格納する配列
var circles = [] ;

// 中心座標を示すLatLngクラスを作成
var latlng = new google.maps.LatLng( 35.710063 , 139.8107 ) ;

// 円のオプション
var circleOption = {
	center: latlng ,		// 中心の位置座標をLatLngクラスで指定
	radius: 500 ,	// 円の半径(メートル単位)
	map: map ,	// 設置する地図キャンパス
} ;

// 円のインスタンスを作成する
circles[0] = new google.maps.Circle( circleOption ) ;

// ビューポートの調整
map.fitBounds( circles[0].getBounds() ) ;
