/********************************************************************************

	SYNCER 〜 知識、感動をみんなと同期(Sync)するブログ

	* 配布場所
	https://syncer.jp/google-maps-javascript-api-matome

	* 最終更新日時
	2015/08/07 00:16

	* 作者
	あらゆ

	** 連絡先
	Twitter: https://twitter.com/arayutw
	Facebook: https://www.facebook.com/arayutw
	Google+: https://plus.google.com/114918692417332410369/
	E-mail: info@syncer.jp

	※ バグ、不具合の報告、提案、ご要望など、お待ちしております。
	※ 申し訳ありませんが、ご利用者様、個々の環境における問題はサポートしていません。

********************************************************************************/


// キャンパスの要素を取得する
var canvas = document.getElementById( 'map-canvas' ) ;

// 中心の位置座標を指定する
var latlng = new google.maps.LatLng( 35.792621 , 139.806513 );

// 地図のオプションを設定する
var mapOptions = {
	zoom: 15 ,				// ズーム値
	center: latlng ,		// 中心座標 [latlng]
};

// [canvas]に、[mapOptions]の内容の、地図のインスタンス([map])を作成する
var map = new google.maps.Map( canvas , mapOptions ) ;

// オーバーレイのインスタンスを格納する配列
var overlays = [] ;

// オーバーレイのオプション
overlayOption = {
	map: map ,	// 設置する地図キャンパス
} ;

// オーバーレイの領域
sw = new google.maps.LatLng( 35.708194 , 139.808565 ) ;
ne = new google.maps.LatLng( 35.712280 , 139.813619 ) ;
latlngBounds = new google.maps.LatLngBounds( sw , ne ) ;

// オーバーレイのインスタンスを作成する
new google.maps.GroundOverlay( './groundoverlay.png' , latlngBounds , overlayOption ) ;

// ビューポートの調整
map.fitBounds( latlngBounds ) ;
