/********************************************************************************

	SYNCER 〜 知識、感動をみんなと同期(Sync)するブログ

	* 配布場所
	https://syncer.jp/google-maps-javascript-api-matome

	* 最終更新日時
	2015/08/05 17:29

	* 作者
	あらゆ

	** 連絡先
	Twitter: https://twitter.com/arayutw
	Facebook: https://www.facebook.com/arayutw
	Google+: https://plus.google.com/114918692417332410369/
	E-mail: info@syncer.jp

	※ バグ、不具合の報告、提案、ご要望など、お待ちしております。
	※ 申し訳ありませんが、ご利用者様、個々の環境における問題はサポートしていません。

********************************************************************************/


// キャンパスの要素を取得する
var canvas = document.getElementById( 'map-canvas' ) ;

// 中心の位置座標を指定する
var latlng = new google.maps.LatLng( 35.792621 , 139.806513 );

// 地図のオプションを設定する
var mapOptions = {
	zoom: 15 ,				// ズーム値
	center: latlng ,		// 中心座標 [latlng]
};

// [canvas]に、[mapOptions]の内容の、地図のインスタンス([map])を作成する
var map = new google.maps.Map( canvas , mapOptions ) ;

// 情報ウィンドウのインスタンスを格納する配列
var infoWindows = [] ;

// 1つ目の情報ウィンドウのインスタンスを作成する
// [ new google.maps.InfoWindow() ]の引数にオプションオブジェクトを指定する
var infoWindows[0] = new google.maps.InfoWindow( {
	content: "Syncer" ,
	position: latlng ,
} ) ;

// 情報ウィンドウ(のインスタンス)を地図に設置(レンダリング)する
infowindows[0].open( map ) ;
